Verify User For External IdP Login

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Verifies that the external IdP user exists in Wristband and is active. For verification to succeed, the Wristband user must be associated with the same IdP as the one the user authenticated against. Likewise, the Wristband user's externalId field must match the primary identifier of the user from the external IdP. The primary identifier of an external IdP user is extracted from the subject claim for OIDC-based IdPs and the NameID attribute for SAML-based IdPs.

If verification succeeds, several responses can be returned. Please refer to the result response field description to see the different types of responses that can be returned.

If verification fails because a Wristband user can't be found with a matching externalId then a 404 error is returned with a user_not_found error code. If a user is found with a matching externalId but their status is not ACTIVE, then a 400 error is returned with a user_not_active error code.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
external-idp-login-workflow:executeApplicationThe subject can perform this operation for requests associated with the application to which the subject belongs.
Body Params

Verify User For External IdP Login JSON object

Object representing a request to verify a user as part of an external IdP login workflow.

string
required
length ≥ 1

A JWT used to authorize external IdP workflow API calls after the user has authenticated with the external IdP.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json